.THIS .slds-modal__container
{
	width: 95%;
	max-width: 1000px;
	min-width: 800px;
	height:  640px;
}

.THIS .slds-icon-utility-close .slds-icon
{
	fill:grey !important;
}

.THIS input::-ms-clear {display: none;}

.THIS #validation_success_popover .slds-icon-utility-close .slds-icon
{
	fill:inherit !important;
}

.THIS .no_record_card
{
	top : 100px;
}

.THIS #confirmationModal
{
	top: 56px;
	bottom: 56px;
	height: unset !important;
}

.THIS .cSalesIQMessageDialog.slds-modal-backdrop
{
	top: 56px;
	bottom: 56px;
	height: unset !important;

}

.THIS .cSalesIQMessageDialog .slds-modal__container
{
	height: 100% !important;
}

.THIS .slds-spinner_container
{
	position: absolute; 
	top: 9%; 
	bottom: 9%;
	min-width: 800px;
	max-width: 1000px;
	background: white;
	height: unset !important;
	border-radius: 0.25rem;
	opacity: 0.8;
}

.THIS .slds-modal__close:hover .slds-icon
{
	fill: lightgrey !important;
}

.THIS #modal_content #details_card
{
	min-width: 25%;
	height: 100%;
	border: none;
	border-right: 1px solid rgb(216, 221, 230);
    border-radius: 0;
    margin-right: 0px;
}

.THIS #assignment_card
{
	overflow: unset;
	width: 100%;
	height: 100%;
}

.THIS #modal_content .slds-item--label
{
	width: 50%;
	padding-top: 10px;
}

.THIS #modal_content .slds-item--detail
{
	width: 50%;
	padding-top: 10px;
}
/*
.THIS .axis path,.THIS .axis line {
	fill: none;
	stroke: #000;
	shape-rendering: crispEdges;
}*/

.THIS .x.axis .tick line,.THIS .q.axis .tick line,.THIS .year.axis .tick line {
    display:none !important;
    color:  #54698d;
}

.THIS .x.axis .tick text,.THIS .q.axis .tick text,.THIS .year.axis .tick text {
    fill :  #54698d;
    font-size: 0.75rem;
}    

.THIS .xgrid .tick line{
    stroke: lightgrey !important;
    opacity: 0.7 !important;
    z-index: -100;
    shape-rendering: crispEdges;
    stroke-dasharray : 2,2;
    /*stroke-width: 0.5 !important;*/
}

.THIS .xgrid .tick text
{
    display: none !important;
}

.THIS .xgrid path {
	stroke: lightgrey !important;
    stroke-width: 0.5 !important;
    /*opacity: 0.6 !important;*/
   /* display: none !important;*/
}

.THIS .qgrid .tick line{
    stroke: lightgrey !important;
    opacity: 1 !important;
    z-index: 10 !important;
    stroke-width: 1 !important;
    shape-rendering: crispEdges;
}

.THIS .qgrid .tick text
{
    display: none !important;
}

.THIS .qgrid path {
	stroke: lightgrey !important;
    /*stroke-width: 0.5 !important;*/
    /*opacity: 0.6 !important;*/
   /* display: none !important;*/
}    

.THIS .q.axis path,.THIS .year.axis path
{
	display:none !important;
	
}

.THIS .x.axis path
{
	stroke: lightgrey !important;
    opacity: 0.6 !important;
    z-index: -100;
    stroke-width: 0.5 !important;
}

	

.THIS .chart {
	font-family: Arial, sans-serif;
	font-size: 0.75rem;
}

.THIS .bar-assigned {
	fill: rgb(94, 177, 138);
	opacity: 0;
}

.THIS .bar-unassigned {
	/*fill:  rgb( 217, 100, 94);*/
	stroke : lightgrey;
	stroke-width : 0.5px;
	opacity: 0.8;
}

.THIS .bar-position
{
	/*fill : lightgrey;*/
	fill:white;
	stroke : lightgrey;
	stroke-width : 0.5px;
	opacity: 0;
}

.THIS rect.bar-assignment:hover {
    stroke-width: 2px;
    stroke: rgb(21, 137, 238);
}
.THIS rect.bar-secondary:hover {
    stroke-width: 2px;
    stroke: rgb(21, 137, 238);
}

.THIS .highlightbar
{
	stroke-width: 2px !important;
    stroke: rgb(21, 137, 238) !important;
    cursor: pointer;
}

.THIS .bar-secondary
{
	/*fill: rgb(255, 154, 60);*/
	stroke : lightgrey;
	stroke-width : 0.5px;
	opacity: 0.8;
}

.THIS .errorBar
{
	stroke-width: 2px !important;
    stroke: rgba(194, 57, 52, 0.95) !important;
}

.THIS .bar-assignment 
{
	/*fill:white;*/
	/*fill:rgb(4, 132, 75);*/
	stroke : lightgrey;
	stroke-width : 0.5px;
	opacity: 0.8;

}

.THIS #addPosition a:hover
{
	text-decoration: none;
	color: rgb(84, 105, 141);
}

.THIS #addPosition a
{
	color: rgb(84, 105, 141);
}

.THIS .warning-icon
{
	margin-right: 10px;
	border: unset;
	background-color: unset;
}

.THIS .pending_CR-icon
{
	margin-right: 10px;
	border: unset;
	background-color: unset;
}

.THIS .warning-icon .slds-button__icon
{
	fill: rgb(194, 57, 52) !important;
}

.THIS .pending_CR-icon .slds-button__icon
{
	fill: rgb(84, 105, 141) !important;
}

.THIS .closeIcon
{
	fill: lightgrey !important;
}

.THIS .errorPopoverHeader {
	text-align: left; font-weight: 700; padding-left: .5rem; padding-top: 0;
}

.THIS ol {
	list-style: decimal;margin-left: 20px;text-align: left;
}

.THIS #validation_failed_popover
{
	position: absolute;
	left:272px;
	bottom : 47px;
}

.THIS #pending_CR_popover
{
	position: absolute;
	left:268px;
	bottom : 50px;
}


.THIS #validation_success_popover
{
	position: absolute;
	bottom: 57px;
}

.THIS .addIcon
{
	border: none !important;
}

.THIS .addIcon:hover , .THIS .addIcon:active ,.THIS .addIcon:focus
{
	background-color: unset;
	outline: unset;
	box-shadow: unset;
}

.THIS #mdpop.slds-popover
{
	min-height: 300px;
}

.THIS .uiDatePicker
{
	position: relative !important;
}

.THIS .slds-backdrop
{
	opacity: 0.4;
}

.THIS div::-webkit-scrollbar, .THIS table::-webkit-scrollbar,.THIS span::-webkit-scrollbar,.THIS ul::-webkit-scrollbar {
    width: 10px;
    height: 10px;
       background-color: #F5F5F5;
}

.THIS div::-webkit-scrollbar-track,.THIS table::-webkit-scrollbar-track,.THIS span::-webkit-scrollbar-track,.THIS ul::-webkit-scrollbar-track {
    /*-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);*/
       background-color: #fff;
       border-radius: 10px;
}

.THIS div::-webkit-scrollbar-thumb,.THIS table::-webkit-scrollbar-thumb,.THIS span::-webkit-scrollbar-thumb,.THIS ul::-webkit-scrollbar-track {
       background: #e0e5ee;
    border-radius: .5rem;
    box-shadow: #fff 0 0 0 1px inset;
    -webkit-box-shadow: #fff 0 0 0 1px inset;
}

.THIS .input::-ms-clear {
    display: none;
}
.THIS #historyGrid {
	position: relative;
}

.THIS #historyGrid .dataTables_wrapper{
	color: #16325c !important;
}
.THIS #historyGrid >div:nth-last-child(2){
	position: absolute !important;
	top:-18px;
}
.THIS #historyGrid >div:last-child{
	position: relative;
    top: 20px;
    width: 100%;	
}
.THIS #historyGrid .dataTables_wrapper .dataTables_paginate .paginate_button {
    box-sizing: border-box;
    display: inline-block;
    min-width: 1.5em;
    margin-left: 2px;
    text-decoration: none !important;
    cursor: pointer;
    border: 0px solid transparent !important;
    padding: 0 !important;
    color: #16325c !important;
}


.THIS #historyGrid .dataTables_wrapper .dataTables_paginate .paginate_button.current, .THIS #historyGrid .dataTables_wrapper .dataTables_paginate .paginate_button.current {
    color: #005fb2 !important;
    border: 0px solid #979797;
    background: none !important;
    text-decoration: underline !important;
}

.THIS .cSalesIQDataTable_V2.slds-spinner_container{
	position: fixed !important; 
	top: 9%; 
	bottom: 9%;
	min-width: 800px;
	max-width: 1000px;
	background: white;
	height: unset !important;
	border-radius: 0.25rem;
	opacity: 0.8;
	width: 100%;
	margin: 0px auto;
}

.THIS .hideSubmit 
{	
	pointer-events: none;
	background: var(--lwc-brandDisabled,rgb(201, 199, 197));
	color: var(--lwc-colorTextButtonBrandDisabled,rgb(255, 255, 255));
	border-color: var(--lwc-brandDisabled,rgb(201, 199, 197));
}

.THIS .hideReset 
{	
	pointer-events: none;
    background-color: #c9c7c5;
    color: white;
}